package cn.palmte.work.model;

import top.jfunc.common.db.bean.Page;

import java.math.BigDecimal;
import java.util.List;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @author Yuanping Zhang
 * @date 2021/11/1
 */
public interface ProjectUserTimeRepositoryCustom {

    Page<ProjectUserTime> project(ConcurrentHashMap<String, String> searchInfo, Admin admin, int pageNumber, int pageSize);

    List<ProjectUserTime> staff(ConcurrentHashMap<String, String> searchInfo, Admin admin);

    List<ProjectUserTime> list(ConcurrentHashMap<String, String> searchInfo, Admin admin, int pageNumber, int pageSize);

    Page<ProjectUserTime> individual(ConcurrentHashMap<String, String> searchInfo, Integer id, int pageNumber, int pageSize);

    List<ProjectUserTime> sum(ConcurrentHashMap<String, String> searchInfo, Admin admin);
}
